# Uses of Interface
org.xnio.management.XnioServerMXBean

Packages that use XnioServerMXBean
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.management

## Uses of XnioServerMXBean in org.xnio

Methods in org.xnio with parameters of type XnioServerMXBean
Modifier and Type
Method
Description
`protected static Closeable`
Xnio.`register(XnioServerMXBean serverMXBean)`
Register an MBean.
`protected abstract ManagementRegistration`
XnioWorker.`registerServerMXBean(XnioServerMXBean metrics)`

## Uses of XnioServerMXBean in org.xnio.management

Methods in org.xnio.management that return types with arguments of type XnioServerMXBean
Modifier and Type
Method
Description
`Set<XnioServerMXBean>`
XnioWorkerMXBean.`getServerMXBeans()`
Get servers that are opened under this worker.